PAKCS(1)

NAME
pakcs - the Portland Aachen Kiel Curry System

SYNOPSIS
pakcs [OPTIONS]

DESCRIPTION
PAKCS is an implementation of the functional logic language Curry (http://currry-language.org) which compiles Curry programs into Prolog programs. Detailed information about PAKCS can be found at https://www.informatik.uni-kiel.de/~pakcs/

The command pakcs either invokes the interactive environment to compile and run Curry programs.

OPTIONS
Invoke interactive environment:

pakcs <options> [ -- <run-time arguments>]

with options:

--h, --help, -?
    show this message and quit

-V, --version
    show version and quit

--compiler-name
    show the compiler name "pakcs" and quit

--numeric-version
    show the compiler version number and quit

--base-version
    show the version of the base libraries and quit

-q, --quiet
    work silently

--nocypm
    do not invoke "cypm" to compute package load path

--noreadline
    do not use input line editing via command "rlwrap"

-D<prop>=val
    define pakcsrc property "prop" as "val" :<cmd> <args> : command of the PAKCS environment

AUTHOR
This manual page has been written by Michael Hanus and converted to nroff format by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. This man page has been written for the Debian project initially, but may also be used by others.